Scilab Function
Last update : 12/01/2004

kpure - continuous SISO system limit feedback gain

### Calling Sequence

  `g=kpure(sys)`

### Parameters

- `sys`: SISO linear system (syslin)
- `g`: constant

### Description

`kpure(sys)` computes the gains `g` such that the system `sys` feedback by g (`sys/.g`) has poles on imaginary axis.

### Examples

    s=poly(0,'s');
    h=syslin('c',(s-1)/(1+5*s+s^2+s^3))
    xbasc();evans(h)
    g=kpure(h)
    hf=h/.g(1)
    roots(denom(hf))

### See Also

`evans`, `krac2`,